package edu.nyu.sps.edittext;

import android.os.Bundle;
import android.support.v7.app.AppCompatActivity;
import android.text.Editable;
import android.view.KeyEvent;
import android.view.View;
import android.widget.EditText;
import android.widget.Toast;

public class MainActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        EditText editText = (EditText)findViewById(R.id.editText);

        editText.setOnKeyListener(new View.OnKeyListener() {
            @Override
            public boolean onKey(View v, int keyCode, KeyEvent keyEvent) {
                if (keyEvent.getAction() == KeyEvent.ACTION_DOWN
                        && keyCode == KeyEvent.KEYCODE_ENTER) {

                    EditText et = (EditText)v;
                    Editable editable = et.getText();
                    String text = editable.toString();

                    text = " " + text;
                    text = text.replaceAll("(\\s)([AEIOUaeiou]\\w+)", "$1w$2");
                    text = text.replaceAll("(\\w)(\\w*)", "$2$1ay");
                    text = text.substring(1); //Chop off the leading space.

                    Toast toast = Toast.makeText(MainActivity.this, text, Toast.LENGTH_LONG);
                    toast.show();
                }
                return false;
            }
        });
    }
}
